--------------------------------------------------------------------
--
-- twash.adb -- Tcl Windowing Ada SHell.  This program is the Ada version
--              of the wish program included in the Tk distribution.
--
-- Copyright (c) 1995-1996 Terry J. Westley
--
-- See the file "license_terms.html" for information on usage and
-- redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
--
--
--------------------------------------------------------------------

with CArgv;
with Tcl.Tk;
with Tcl; use Tcl;
with TWashApp;

procedure twash is -- Tcl Windowing Ada SHell

   function "+" (Left, Right : in C.Int) return C.Int renames C."+";

   -- Argc and Argv include the command name
   Argc : C.Int;
   Argv : CArgv.Chars_Ptr_Ptr;

begin -- twash

   -- Get command-line arguments and put them into C-style "argv,"
   -- as required by Tk_Main.
   CArgv.Create (Argc, Argv);

   -- Start Tcl
   Tcl.Tk.Main (Argc, Argv, TWashApp.Init'access);

end twash;
